﻿using UnityEngine;
using System.Collections;

// Made specifically for the player object
// This is used anywhere ingame aswell as in character creation
public class setAppearance : MonoBehaviour {
	// HEADS
	public Sprite head1;
	public Sprite head2;
	// FACES
	public Sprite face1;
	// LEGS
	public Sprite leg1;
	public Sprite leg2;
	// note: bodies do not go here, this is character customization

	private GameObject head;
	private GameObject face;
	private GameObject body;
	private GameObject legR; // looking AT the player right
	private GameObject legL; // looking AT the player left
	private GameObject arm;


	// Use this for initialization
	void Start () {
		body = transform.GetChild (0).gameObject;
		updateAppearance ();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void updateAppearance(){
		// about to build this, you'll notice this turns the body to a leg lol
		SpriteRenderer s = body.GetComponent<SpriteRenderer> ();
		s.sprite = leg1;
	}
}
